Get List of Documents API
Introduction
DigiLocker is a cloud-based platform for issuance, storage, sharing and verification of documents and certificates, according to the official website - digilocker.gov.in. This Signzy API is used to get a list of all the document providers who provide documents to digilocker.
How to call the API
You will need to login before sending request. You are required to pass the requestId received from the login , in the header along with other input Parameters.
API Input Guidelines
- You need to pass the requestId in the request body.
Sample Curl
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/..patronId../digilockers' \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <token>' \
--header 'content-type: application/json' \
--data-raw '{
"task" : "listofdocuments",
"essentials" : {<Input data>}
}'Input Parameters
Parameter Name | Required/Optional | Description |
|---|---|---|
Authorization | Required | Contains the id parameter returned from the login step |
content-type | Required | application/json |
task | Required Required | Type of Tasks to be performed in Signzy System, eg: URL , GetData |
essentials | Required | This parameter contains the essential data for generating output. |
Sample Response
{
"result": [
{
"docType": "PVCER",
"docDescription": "Provisional Certificate",
"orgId": "002337",
"orgName": "Madhya Pradesh Medical Science University, Jabalpur M.P., Madhya Pradesh",
"searchParameters": [
{
"parameterName": "APPNO",
"parameterExample": "MMIG1907220002",
"isParameterValueAList": "No",
"parameterValueList": null
},
{
"parameterName": "ENROLNO",
"parameterExample": "MG005M010916003",
"isParameterValueAList": "No",
"parameterValueList": null
},
{
"parameterName": "Date_Of_Birth",
"parameterExample": "11-11-1990",
"isParameterValueAList": "No",
"parameterValueList": null
},
{
"parameterName": "ROLLNO",
"parameterExample": "1938805",
"isParameterValueAList": "No",
"parameterValueList": null
}
]
},
{
"docType": "DGCER",
"docDescription": "Degree/ Diploma Certificate",
"orgId": "004155",
"orgName": "Karnataka Veterinary, Animal & Fisheries Sciences University, Nandinagar, Karnataka",
"searchParameters": [
{
"parameterName": "REGNO",
"parameterExample": "8/300001",
"isParameterValueAList": "No",
"parameterValueList": null
},
{
"parameterName": "YEAR",
"parameterExample": "2020",
"isParameterValueAList": "No",
"parameterValueList": null
}
]
}
]
}.....Response Parameter
Parameter Name | Description |
|---|---|
result | The final response parameters to be displayed are contained here. |
result.doctype | This parameter gives the name of the type of document. |
result.docDescription | This parameter descripes the doctype |
result.orgId | Organisation Identity number |
result.orgName | Name of the organisation |
result.searchParameters | Various Parameter used in searching. |
searchParameters.parameterName | Name of the parameter used in searching. eg name, roll_no |
searchParameters.parameterExample | An example of parameterName is given by this parameter. |
searchParameters.isParameterValueAList | This Parameter tells whether the given parameter value is a list or not. will return a value of 'yes' or 'no' |
searchParameters.parameterValueList | This parameter will return the value as a list. |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].